<?php
include "../../inc/inc.koneksi.php";

$kodeaw	=$_POST[kodeaw];
$kodeak	=$_POST[kodeak];

$sql    = mysql_query("SELECT * FROM interface");
$r      = mysql_fetch_assoc($sql);
$utang  = $r[hutang_dg];
$labapb = $r[laba_pb];
$labrug = $r[laba_rugi];
$potbeli= $r[pot_beli];
$nosublpb= substr($labapb,0,3);
$nosublr = substr($labrug,0,3);
$nosubpb = substr($potbeli,0,3);

$sql = mysql_query("SELECT * FROM jurkk WHERE kode_kk BETWEEN '$kodeaw' AND '$kodeak' AND posting='' ORDER BY kode_kk");

while($r=mysql_fetch_array($sql)){
	$kodekk = $r[kode_kk];
	$tanggal= $r[tanggal];
	$nokas 	= $r[nokas];
	$noakun = $r[noakun];
	$nobp 	= $r[nobp];
	$nofak	= $r[nofak];
	$jumlah	= $r[jumlah];
	$diskon	= $r[diskon];
	$ket 	= $r[keterangan];
	$user 	= $r[user];
	$nosubks= substr($nokas,0,3);
	$nosubak= substr($noakun,0,3);
	$kelakun= (int) substr($noakun,0,1);
	$bruto  = $jumlah+Sdiskon;
	
	// --->kredit kas bertambah
	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$nokas'");
		
	// --->jika kode akun buku besar adalah hutang dagang, kurangi saldo hutang
	if($noakun==$utang){
		$kodesp = substr($nobp,5,4);
		$bayar  = $jumlah+$diskon;
		mysql_query("UPDATE hutang SET jumlah=jumlah-$bayar WHERE kode_sp='$kodesp' AND nofak='$nofak'");
	}
	
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kodekk','JKK','$tanggal','$kodekk','$nokas','$nosubks','$jumlah','$ket','$user')");
	
	// --->debet noakun bertambah
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$bruto WHERE noakun='$noakun'");
		
	if(!($nobp=='')){
		// --->Jika akun buku pembantu tidak kosong, debet bertambah
		mysql_query("UPDATE akun_bp SET mutasi_db=mutasi_db+$bruto WHERE noakun='$nobp'");
	}
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,nobp,debet,keterangan,user) VALUES('$kodekk','JKK','$tanggal','$kodekk','$noakun','$nosubak','$nobp','$bruto','$ket','$user')");
	
	if($kelakun>3){
		// --->laba periode berjalan debet
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$labapb'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kodekk','JKK','$tanggal','$kodekk','$labapb','$nosubpb','$jumlah','$ket','$user')");
		
		// --->laba rugi kredit
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$labrug'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kodekk','JKK','$tanggal','$kodekk','$labrug','$nosublr','$jumlah','$ket','$user')");
	}
	
	if(!($diskon==0)){
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$diskon WHERE noakun='$potbeli'");
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$diskon WHERE noakun='$labapb'");
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$diskon WHERE noakun='$labrug'");
		
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kodekk','JKK','$tanggal','$kodekk','$potbeli','$nosubpb','$diskon','$ket','$user')");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kodekk','JKK','$tanggal','$kodekk','$labapb','$nosublpb','$diskon','$ket','$user')");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kodekk','JKK','$tanggal','$kodekk','$labrug','$nosublr','$diskon','$ket','$user')");
	}
}
mysql_query("UPDATE jurkk SET posting='P' WHERE kode_kk BETWEEN '$kodeaw' AND '$kodeak' ");
?>
